import { Unit } from '../Class/Unit';
import { EventEmitter_ } from '../EventEmitter';
import { MIMO } from '../MIMO';
import { Pin, PinEvent } from '../Pin';
import { Dict } from '../types/Dict';
export declare function testMIMO(unit: MIMO<any, any>, input: Dict<any>, output: Dict<any>): void;
export declare function testSISO(unit: Unit<any, any>, inputName: string, input: any, outputName: string, output: any): void;
export type EventCounter = {
    count: number;
    remove: () => void;
    reset: () => void;
};
export declare function countEvent(emitter: EventEmitter_, event: string, callback?: (count: number) => void): EventCounter;
export declare function callAfterCount(pin: Pin<any>, event: PinEvent, max: number, callback: () => void): EventCounter;
